org.bdgenomics.adam.models

# SequenceRecord

#### object SequenceRecord extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SequenceRecord
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val GENBANK_TAG: String

7. #### val REFSEQ_TAG: String

8. #### def apply(name: String, length: Long, md5: String = null, url: String = null, refseq: String = null, genbank: String = null, assembly: String = null, species: String = null): SequenceRecord

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def fromADAMContig(contig: Contig): SequenceRecord

15. #### def fromADAMContigFragment(fragment: NucleotideContigFragment): SequenceRecord

16. #### def fromADAMRecord(rec: AlignmentRecord): Set[SequenceRecord]

    Convert an Read into one or more SequenceRecords.

    Convert an Read into one or more SequenceRecords. The reason that we can't simply use the "fromSpecificRecord" method, below, is that each Read can (through the fact that it could be a pair of reads) contain 1 or 2 possible SequenceRecord entries for the SequenceDictionary itself. Both have to be extracted, separately.

    rec

      The Read from which to extract the SequenceRecord entries

    returns

      a list of all SequenceRecord entries derivable from this record.

17. #### def fromSAMSequenceRecord(record: SAMSequenceRecord): SequenceRecord

18. #### def fromSpecificRecord(rec: IndexedRecord): SequenceRecord

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### implicit def ordering: SequenceOrdering.type

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toADAMContig(record: SequenceRecord): Contig

28. #### def toSAMSequenceRecord(record: SequenceRecord): SAMSequenceRecord

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped